#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "NavObstacleEdge.h"
#include "NavObstacleEdgeRow.h"
#include "DBDNavObstacle.generated.h"

UCLASS(Blueprintable)
class DBDBOTS_API UDBDNavObstacle : public UObject
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<FNavObstacleEdge> _edges;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<FNavObstacleEdgeRow> _edgeMatrix;

public:
	UDBDNavObstacle();
};

FORCEINLINE uint32 GetTypeHash(const UDBDNavObstacle) { return 0; }
